# $Revision: 1.29 $, $Date: 2010/08/24 20:31:50 $
#
# Conditional build:
%if "%{pld_release}" == "ac"
%bcond_with		apidocs		# do not build and package API docs
%else
%bcond_without	apidocs		# do not build and package API docs
%endif

Summary:	Theora - video codec intended for use within Ogg multimedia streaming system
Summary(pl.UTF-8):	Theora - kodek obrazu do używania w systemie strumieni multimedialnych Ogg
Name:		libtheora
Version:	1.1.1
Release:	2
License:	BSD-like
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/theora/%{name}-%{version}.tar.bz2
# Source0-md5:	292ab65cedd5021d6b7ddd117e07cd8e
URL:		http://www.theora.org/
BuildRequires:	SDL-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libogg-devel >= 2:1.1
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0.1
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	tetex-format-pdflatex
BuildRequires:	tetex-latex-bibtex
BuildRequires:	tetex-latex-ltablex
BuildRequires:	transfig
%endif
Requires:	libogg >= 2:1.1
Requires:	libvorbis >= 1:1.0.1
Provides:	libtheora-mmx
Obsoletes:	libtheora-mmx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Theora is Xiph.Org's first publicly released video codec, intended for
use within the Ogg's project's Ogg multimedia streaming system. Theora
is derived directly from On2's VP3 codec; Currently the two are nearly
identical, varying only in framing headers, but Theora will diverge
and improve from the main VP3 development lineage as time progresses.

%description -l pl.UTF-8
Theora to pierwszy publicznie wypuszczony przez Xiph.Org kodek obrazu,
mający być używany w systemie strumieni multimedialnych Ogg. Theora
wywodzi się bezpośrednio z kodeka VP3 On2. Aktualnie oba są prawie
identyczne, różnią się jedynie nagłówkami ramek, ale Theora będzie się
coraz bardziej rozwijać w stosunku do VP3.

%package devel
Summary:	Header files for Theora library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Theora
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libogg-devel >= 2:1.1
Provides:	libtheora-mmx-devel
Obsoletes:	libtheora-mmx-devel

%description devel
Header files for Theora library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Theora.

%package static
Summary:	Static Theora library
Summary(pl.UTF-8):	Statyczna biblioteka Theora
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libtheora-mmx-static
Obsoletes:	libtheora-mmx-static

%description static
Static Theora library.

%description static -l pl.UTF-8
Statyczna biblioteka Theora.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure

%{__make}
%if %{with apidocs}
%{__make} -C doc/spec
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_docdir}/libtheora-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING LICENSE README
%attr(755,root,root) %{_libdir}/libtheora.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtheora.so.0
%attr(755,root,root) %{_libdir}/libtheoradec.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtheoradec.so.1
%attr(755,root,root) %{_libdir}/libtheoraenc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtheoraenc.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{color.html,draft-ietf-avt-rtp-theora-00.txt,vp3-format.txt} doc/libtheora/html doc/spec/Theora.pdf
%attr(755,root,root) %{_libdir}/libtheora.so
%attr(755,root,root) %{_libdir}/libtheoradec.so
%attr(755,root,root) %{_libdir}/libtheoraenc.so
%{_libdir}/libtheora.la
%{_libdir}/libtheoradec.la
%{_libdir}/libtheoraenc.la
%{_includedir}/theora
%{_pkgconfigdir}/theora.pc
%{_pkgconfigdir}/theoradec.pc
%{_pkgconfigdir}/theoraenc.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtheora.a
%{_libdir}/libtheoradec.a
%{_libdir}/libtheoraenc.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtheora.spec,v $
Revision 1.29  2010/08/24 20:31:50  glen
- release 2

Revision 1.28  2010/08/24 20:10:18  glen
- apidocs off for ac

Revision 1.27  2009/10/04 14:31:42  wiget
- updated to 1.1.1

Revision 1.26  2009/09/26 15:53:47  arekm
up to 1.1.0

Revision 1.25  2008/11/03 17:12:48  qboosh
- updated to 1.0 final
- release 2

Revision 1.24  2008/10/30 16:19:14  qboosh
- -devel R: libogg-devel

Revision 1.23  2008/10/29 19:33:34  qboosh
- updated to 1.0RC2
- removed obsolete x86_64 patch

Revision 1.22  2008/10/09 08:07:29  arekm
- rel 2; fix build on x86_64

Revision 1.21  2008/10/08 21:19:04  qboosh
- release 1.RC1.1 (RC < beta)

Revision 1.20  2008/10/08 21:18:10  qboosh
- updated to 1.0RC1

Revision 1.19  2008/05/10 22:23:29  qboosh
- updated to 1.0beta3 (theora-exp libs merged)

Revision 1.18  2007-11-01 02:02:24  qboosh
- updated to 1.0beta2

Revision 1.17  2007/10/29 00:59:55  sls
- BR: tetex-latex-bibtex

Revision 1.16  2007/09/26 20:43:09  arekm
- up to beta1

Revision 1.15  2007/09/06 15:26:16  baggins
- rel .3

Revision 1.14  2007/02/24 23:00:30  megabajt
- release 2

Revision 1.13  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.11  2006/07/05 08:51:37  blues
- Prov libtheora-mmx

Revision 1.10  2006/07/01 14:41:42  qboosh
- updated to 1.0alpha7
- Obsoletes: libtheora-mmx* (merged in 1.0alpha6)

Revision 1.9  2006/06/01 22:32:14  charles
- updated to 1.0alpha6

Revision 1.8  2005/08/23 23:26:47  charles
- updated to 1.0alpha5
- clear optflags, BR: sed >= 4.0

Revision 1.7  2005/05/25 12:33:42  pluto
- release .2 for Th.

Revision 1.6  2005/03/04 12:03:18  charles
- BR pkgconfig

Revision 1.5  2005/01/22 10:07:40  qboosh
- BR: doxygen, include real (API and format) docs

Revision 1.4  2005/01/22 01:58:13  charles
- updated to 1.0alpha4
- removed obsolete -ogg.patch
- note: specially without trivial devel docs

Revision 1.3  2004/03/25 18:41:02  kosmo
- updated to 1.0alpha3

Revision 1.2  2003/11/22 01:06:02  qboosh
- now we have new libogg, so it builds at last
- removed unneeded (mistaken) entries from ogg patch

Revision 1.1  2003/08/16 00:48:30  qboosh
- new; but requires CVS libogg (unresolved symbols with 1.0)
